<template>
  <q-chip
    v-if="sinRama && rama !== null"
    dark
    size="sm"
    square
    :color="$getRama(rama).color"
    :label="$getRama(rama).texto"
  />
</template>

<script lang="ts">
import { PropType, defineComponent } from 'vue';
export default defineComponent({
  name: 'util-item-ramas',
  props: {
    rama: {
      type: String as PropType<string | null>,
      default: '',
      required: true,
    },

    sinRama: {
      type: Boolean as PropType<boolean>,
      default: true,
      required: false,
    },
  },
});
</script>
